org.eclipse.emf.cdo.spi.common.id

## Class AbstractCDOID

- java.lang.Object
- - org.eclipse.emf.cdo.spi.common.id.AbstractCDOID

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CDOID>, CDOID

      public abstract class AbstractCDOID
      extends java.lang.Object
      implements CDOID

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    2.0
  Author:
    Eike Stepper
  See Also:
    Serialized Form
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.id.CDOID

      `CDOID.ObjectType, CDOID.Type`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.common.id.CDOID

      `NIL, NULL`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractCDOID()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(CDOID o)`
    `protected abstract int` | `doCompareTo(CDOID o)`
    `boolean` | `equals(java.lang.Object obj)`
    `abstract int` | `hashCode()`
    `boolean` | `isDangling()` Deprecated.
    `boolean` | `isNil()`
    `boolean` | `isNull()`
    `void` | `read(ExtendedDataInput in)` Deprecated. As of 4.2 not called anymore.
    `void` | `read(java.lang.String fragmentPart)` Deprecated. As of 4.2 not called anymore.
    `java.lang.String` | `toString()`
    `abstract void` | `write(CDODataOutput out)`
    `void` | `write(ExtendedDataOutput out)` Deprecated. As of 4.2 `write(CDODataOutput)` is called.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.id.CDOID

      `getType, isExternal, isObject, isTemporary, toURIFragment`

- - ### Constructor Detail

    - #### AbstractCDOID

          protected AbstractCDOID()

  - ### Method Detail

    - #### isNull

          public boolean isNull()

      Specified by:
        `isNull` in interface `CDOID`
      Since:
        4.2

    - #### isNil

          public boolean isNil()

      Specified by:
        `isNil` in interface `CDOID`
      Since:
        4.6

    - #### isDangling

          @Deprecated
          public final boolean isDangling()

      Deprecated.
      Specified by:
        `isDangling` in interface `CDOID`
      Since:
        4.2

    - #### read

          @Deprecated
          public final void read(java.lang.String fragmentPart)

      Deprecated. As of 4.2 not called anymore.

    - #### read

          @Deprecated
          public final void read(ExtendedDataInput in)
                                       throws java.io.IOException

      Deprecated. As of 4.2 not called anymore.
      Throws:
        `java.io.IOException`

    - #### write

          @Deprecated
          public void write(ExtendedDataOutput out)
                                  throws java.io.IOException

      Deprecated. As of 4.2 `write(CDODataOutput)` is called.
      Throws:
        `java.io.IOException`

    - #### write

          public abstract void write(CDODataOutput out)
                              throws java.io.IOException

      Throws:
        `java.io.IOException`
      Since:
        4.2

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### compareTo

          public final int compareTo(CDOID o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<CDOID>`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public abstract int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### doCompareTo

          protected abstract int doCompareTo(CDOID o)
                                      throws java.lang.ClassCastException

      Throws:
        `java.lang.ClassCastException`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html